%global	forgeurl	https://github.com/meetecho/janus-gateway
%global soversion	0.0.0

Name:		janus-gateway
Version:	0.10.4
Release:	1%{?dist}
Summary:	Janus is a general purpose WebRTC server

%forgemeta
License:	GPLv3
URL:		%{forgeurl}
Source0:	%{forgesource}
#Patch0:		https://github.com/meetecho/janus-gateway/commit/b718a068cf6829a7d9be53098b2286714bef336d.patch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	gengetopt
BuildRequires:	glib2-devel
BuildRequires:	graphviz
BuildRequires:	jansson-devel
BuildRequires:	libconfig-devel
BuildRequires:	libcurl-devel
BuildRequires:	libmicrohttpd-devel
BuildRequires:	libnice-devel
BuildRequires:	libogg-devel
BuildRequires:	libsrtp-devel
BuildRequires:	libtool
BuildRequires:	lua
BuildRequires:	lua-devel
BuildRequires:	libwebsockets-devel
BuildRequires:	nanomsg-devel
BuildRequires:	openssl-devel
BuildRequires:	opus-devel
BuildRequires:	paho-c-devel
BuildRequires:	pkgconfig
BuildRequires:	librabbitmq-devel
BuildRequires:	sofia-sip-devel

%description
Janus is an open source, general purpose, WebRTC server designed and developed
by Meetecho.

%package devel
Requires:	%{name}%{?_isa} = %{version}-%{release}
Summary:	Development libraries for Janus

%description	devel
Janus is an open source, general purpose, WebRTC server designed and developed
by Meetecho.

%prep
%forgesetup -v
#%%patch0 -p1

chmod +x plugins/streams/test_gstreamer.sh
chmod +x plugins/streams/test_gstreamer_1.sh


%build
./autogen.sh
%configure --disable-static --libdir=/usr/lib64
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install
libtool --finish %{buildroot}%{_libdir}/janus/events
libtool --finish %{buildroot}%{_libdir}/janus/plugins
libtool --finish %{buildroot}%{_libdir}/janus/transports

rm -rf %{buildroot}%{_libdir}/janus/events/*.la
rm -rf %{buildroot}%{_libdir}/janus/plugins/*.la
rm -rf %{buildroot}%{_libdir}/janus/transports/*.la

DESTDIR=%{buildroot} make configs


%files
%{_bindir}/janus
%{_bindir}/janus-cfgconv
%{_libdir}/janus/*/*.so.%{soversion}
%{_mandir}/man1/janus.1.gz
%{_mandir}/man1/janus-cfgconv.1.gz
%license COPYING
%doc docs/ README.md CHANGELOG.md
%config(noreplace) %{_sysconfdir}/janus/*


%files devel
%license COPYING
%{_includedir}/janus/
%{_libdir}/janus/*/*.so.0
%{_libdir}/janus/*/*.so
%{_datadir}/janus/

%changelog
* Thu Aug 27 2020 Jared K. Smith <jsmith@fedoraproject.org> - 0.10.4-1
- Update to upstream 0.10.4 release

* Fri Apr 17 2020 Jared K. Smith <jsmith@fedoraproject.org> - 0.9.2-1
- Initial packaging
